Subject: Fwd: Regarding my total testosterone level and ED.
From: HFL Support Team <[email-masked]>
To: manager <[email-masked]>
Date: Tue, 1 Dec 2020 18:05:43 +0800

REplied ZD 96909

*Kae*
---------- Forwarded message ---------
From: Sooraj S <[email-masked]>
Date: Tue, Dec 1, 2020 at 2:29 PM
Subject: Regarding my total testosterone level and ED.
To: Dr. Sam Robbins <[email-masked]>

Dr Sam , I took a testosterone test recently and my 'total testosterone' is
8.420 ng/mL. The report says it is normal at my age . If testosterone is
normal,then what could be the cause of my ED. I am 16 years of age. Should
I send my result .
Yours sincerely
Sooraj